Board index » jbuilder » Back to Java 1.4.1 from Panther CD, seems to work fine...

Back to Java 1.4.1 from Panther CD, seems to work fine...


2003-11-17 04:59:35 PM
jbuilder12
Paul Furbacher < XXXX@XXXXX.COM >wrote:
Quote
Gabriel Parriaux wrote:

>So now what can I do?

Seeing that you have gone through all the
reasonable steps, I'm coming to the conclusion
that the fastest way to resolve this would be
to switch back to 1.4.1. Is there anything that
you really need in 1.4.2?

Hopefully I'm not violating any part of an NDA,
but you can try reverting to 1.4.1 by issuing

sudo jsettestjdk 1.4.1
I tried, but it asks a password... I didn't find it!
Quote

at the command line. There's no guarantee that
this will solve the problem, and a clean re-installation
of JDK 1.4.1 from the Panther CD may be the only
workable solution.

For guidance in doing a clean installation of
JDK 1.4.1 from the Panther CD, you should read

developer.apple.com/technotes/tn2002/tn2099.html
Thank's for the link. I reinstalled from the Panter CD and it seems to work fine now, I can open the "Welcome" project and run it without error message!
Quote


You might want to subscribe to the email list
associated with the 1.4.2 seed. There should
be info on that in the release notes that
accompany the download. Since I don't have
Panther installed yet, I haven't bothered to
read those materials. But if you describe the
problem there, someone might have some better
ideas. But in general, there's not a lot of
support for JBuilder users on Apple's lists.


Oh, I almost forgot -- file a bug report at

bugreport.apple.com

Start the subject line with the "JDK 1.4.2DP1"
so that it will get routed properly. The more
people who file bugs on an issue, the better.
Done.
One more time, thank you very much for your help!
Have a nice day!
Bye
Gabriel
Quote


--


Paul Furbacher (TeamB)

Save time, search the archives:
www.borland.com/newsgroups/ngsearch.html

Is it in Joi Ellis's Faq-O-Matic?
www.visi.com/~gyles19/fom-serve/cache/1.html

Finally, please send responses to the newsgroup only.
That means, do not send email directly to me.
Thank you.

 
 

Re:Back to Java 1.4.1 from Panther CD, seems to work fine...

Gabriel Parriaux wrote:
Quote
>... you can try reverting to 1.4.1 by issuing
>
>sudo jsettestjdk 1.4.1


I tried, but it asks a password... I didn't find it!
For future reference, any time you issue a command which
begins with "sudo" (i.e., you want to execute the
command which follows as "root" user), you will
be asked for a password.
An acceptable password is the one with which you use to
log onto OS X, or which you enter when an installer asks
for one (installers ask for an "administrator" password --
that's your log-on password).
As an aside, executing a command which require root
permission is more safely done by prefixing
the command with "sudo", instead of "su root".
The latter changes the Terminal session's user
to root, whereas the former ("sudo") gives root
access for one command only. It reduces the chance
that if you walk away from your machine, a malicious
person will be able to gain root access. If you
leave it while logged in as root (su root), a lot of
damage could be done by such a person.
--
Paul Furbacher (TeamB)
Save time, search the archives:
www.borland.com/newsgroups/ngsearch.html
Is it in Joi Ellis's Faq-O-Matic?
www.visi.com/~gyles19/fom-serve/cache/1.html
Finally, please send responses to the newsgroup only.
That means, do not send email directly to me.
Thank you.